<div class="col-12 col-sm-12 col-md-6 col-lg-3 mb-3 recipe ">
    <div class="card">
        <div class="card-body">
            <h3 class="bottom-0"><%= recipe.name %>
                <% if (recipe.isPrivate) { %>
                    <i class="bi-file-earmark-lock2"></i>
                <% } %>
            </h3>
            <p>Difficulty: <%= recipe.difficulty %>/5 (<%= recipe.findDifficulty(recipe.difficulty) %>)</p>
            <hr>
            <h6>Ingredients</h6>
            <ul>
            <%
            recipe.ingredients.forEach(ingredient => {
            %>
                <li><%= ingredient %></li>
            <%
            })
            %>
            </ul>
            <hr>
            <h6>Instructions</h6>
            <p><%= recipe.instructions %></p>
            <% if((userId === recipe.userId.toString())) { %>
            <div class="d-flex justify-content-evenly">
                <a href="/edit-recipe/<%= recipe._id %>" class="link-success text-decoration-none btn btn-light">
                    <i class="bi-pencil"></i>
                    Edit
                </a>
                <a href="/delete-recipe/<%= recipe._id %>" class="link-danger text-decoration-none btn btn-light">
                    <i class="bi-x-circle-fill"></i>
                    Delete
                </a>
            </div>
            <% } else {
            if (typeof users != "undefined"){
                users.forEach(user => {
                    if (user._id.toString() === recipe.userId.toString()) { %>
                        <p>Added by: <a href="/profile/<%= user.username %>"><%= user.username %></a></p>
                    <% }
                })
            }} %>
        </div>
    </div>
</div>
